﻿using System;
using System.Collections.Generic;

namespace WPFYifis2
{
    public partial class User
    {
        public User()
        {
            JumpUserLists = new HashSet<JumpUserList>();
            Lessons = new HashSet<Lesson>();
        }

        public int IdUser { get; set; }
        public string Name { get; set; } = null!;
        public string Surname { get; set; } = null!;
        public string MiddleName { get; set; } = null!;
        public int TrainingGroup { get; set; }
        public string DateOfBirth { get; set; } = null!;
        public string Email { get; set; } = null!;
        public int AircraftNumber { get; set; }
        public int? IdParachute { get; set; }
        public string PhoneNumber { get; set; } = null!;
        public int IdPassportData { get; set; }
        public string Login { get; set; } = null!;
        public string Password { get; set; } = null!;
        public int IdRole { get; set; }

        public virtual PassportDatum IdPassportDataNavigation { get; set; } = null!;
        public virtual Role IdRoleNavigation { get; set; } = null!;
        public virtual ICollection<JumpUserList> JumpUserLists { get; set; }
        public virtual ICollection<Lesson> Lessons { get; set; }
    }
}
